import c_page from "./c-page.vue"
import PtyPicker from "./PtyPicker"
import UnicodePicker from "./UnicodePicker"
import DocShow from "./DocShow"
import EditTable from "./EditTable"
import Col from "./Col.vue"
import Row from "./Row.vue";
import Input from "./Input.vue"
import Select from "./Select.vue"
import Button from './Button.vue'
import DatePicker from './DatePicker.vue'
import Checkbox from './Checkbox.vue'
import Table from "./Table"
import Tabs from "./Tabs.vue"
import IStreamTable from "./IStreamTable.vue"
import IStreamTableDocpan from "./IStreamTableDocpan.vue"
import GridEtyPromptDialog from "./GridEtyPromptDialog.vue"
import Radio from "./Radio"
import InputNumber from "./InputNumber"
import PrintButton from "./PrintButton"
import InputFormat from "./InputFormat"
import InputCurrency from "./InputCurrency"
import InputCurrencyMin from "./InputCurrencyMin"
import HolidayPicker from "./HolidayPicker"
import Content from "./Content"
import RadioGroup from "./RadioGroup"
import CheckboxGroup from "./CheckboxGroup"
import Cascader from "./Cascader.vue"
import List from "./List"
import ListSearch from "./ListSearch"
import HighlightContent from "./HighlightContent"
import SearchInput from "./SearchInput.vue"
import FormItem from "./FormItem.vue"
import TableColumnItem from "./TableColumnItem.vue"
// 循环组件
import MessageArea from '~/widget/SwfMessage/MessageArea'
import CycList from '~/widget/SwfMessage/CycList'
import SeqList from '~/widget/SwfMessage/SeqList'
import Tag from '~/widget/SwfMessage/Tag'
import DailyInstPicker from "./DailyInstPicker"
import InstPicker from "./InstPicker"
import AutoComplete from "./AutoComplete"
import PagedSelect from "./PagedSelect"
import FunctionBtn from "./FunctionBtn"
import BusinessButon from "./BusinessButton"

import InfSearchGroup from "./InfSearchGroup"

export default {
    install(Vue) {
        Vue.component("c-page", c_page)
        Vue.component("c-edit-table", EditTable)
        Vue.component("c-col", Col)
        Vue.component("c-row", Row)
        Vue.component('c-input', Input)
        Vue.component('c-select', Select)
        Vue.component('c-button', Button)
        Vue.component('c-date-picker', DatePicker)
        Vue.component('c-checkbox', Checkbox)
        Vue.component("c-ptypicker", PtyPicker)
        Vue.component("c-docshow", DocShow)
        Vue.component("c-UnicodePicker", UnicodePicker)
        Vue.component("c-table", Table)
        Vue.component("c-tabs", Tabs)
        Vue.component("c-istream-table", IStreamTable)
        Vue.component("c-istream-table-docpan", IStreamTableDocpan)
        Vue.component("c-grid-ety-prompt-dialog", GridEtyPromptDialog)
        Vue.component("c-radio", Radio)
        Vue.component("c-input-number", InputNumber)
        Vue.component("c-print-button", PrintButton)
        Vue.component("c-input-format", InputFormat)
        Vue.component("c-input-currency", InputCurrency)
        Vue.component("c-input-currency-min", InputCurrencyMin)
        Vue.component("c-holiday-picker", HolidayPicker)
        Vue.component("c-content", Content)
        Vue.component("c-radio-group", RadioGroup)
        Vue.component("c-list-page", List)
        Vue.component("c-list-search", ListSearch)
        Vue.component('message-area', MessageArea)
        Vue.component('cyc-list', CycList)
        Vue.component('seq-list', SeqList)
        Vue.component('m-tag', Tag)
        Vue.component("c-dailyinstpicker", DailyInstPicker)
        Vue.component("c-instpicker", InstPicker)
        Vue.component("c-autocomplete", AutoComplete)
        Vue.component("c-checkbox-group", CheckboxGroup)
        Vue.component("c-cascader", Cascader)
        Vue.component("c-highlight-content", HighlightContent)
        Vue.component("c-search-input", SearchInput)
        Vue.component("c-form-item", FormItem)
        Vue.component("c-table-column", TableColumnItem)
        Vue.component("c-paged-select", PagedSelect)
        Vue.component("c-function-btn", FunctionBtn)
        Vue.component("c-bus-button", BusinessButon)
        Vue.component("c-infsearch-group", InfSearchGroup)
    }
}